Package ghidra.app.util.bin.format.coff

# Class CoffSymbol

java.lang.Object
ghidra.app.util.bin.format.coff.CoffSymbol

All Implemented Interfaces:
  `StructConverter`

public class CoffSymbol extends Object implements StructConverter

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getAuxiliaryCount()`
  `List<CoffSymbolAux>`
  `getAuxiliarySymbols()`
  `int`
  `getBasicType()`
  `int`
  `getDerivedType(int derivedIndex)`
  `String`
  `getName()`
  `short`
  `getSectionNumber()`
  `byte`
  `getStorageClass()`
  `long`
  `getValue()`
  `boolean`
  `isSection()`
  Returns true if this symbol represents a section.
  `void`
  `move(int offset)`
  Adds offset to the value; this must be performed before relocations in order to achieve the proper result.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getName

    public String getName()

  - ### getValue

    public long getValue()

  - ### move

    public void move(int offset)
    Adds offset to the value; this must be performed before relocations in order to achieve the proper result.
    Parameters:
      `offset` - the offset to add to the value

  - ### getSectionNumber

    public short getSectionNumber()

  - ### getBasicType

    public int getBasicType()

  - ### getDerivedType

    public int getDerivedType(int derivedIndex)

  - ### getStorageClass

    public byte getStorageClass()

  - ### getAuxiliaryCount

    public byte getAuxiliaryCount()

  - ### getAuxiliarySymbols

    public List<CoffSymbolAux> getAuxiliarySymbols()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### isSection

    public boolean isSection()
    Returns true if this symbol represents a section.
    Returns:
      true if this symbol represents a section

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`